Skip to main content
GET
List schedules

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

sync_config_id
string | null

Filter to schedules fanned out from a specific sync config.

Example:

"dsc_01HXYZ..."

account_id
string | null

Filter to schedules belonging to a specific linked account.

Example:

"acc_01HXYZ..."

action_id
string | null

Filter to schedules for a specific action.

Example:

"hris_list_employees"

enabled
boolean | null

Filter by enabled state.

Example:

true

page
number | null

The 1-based page number to fetch. Omit both page and page_size to fetch all schedules at once.

Required range: x >= 1
page_size
number | null
default:25

The number of schedules to return per page.

Required range: 1 <= x <= 100

Response

The schedules were retrieved.

page
number
required

The current page number.

page_size
number
required

The number of schedules per page.

total
number
required

The total number of schedules matching the request.

data
object[]
required

The schedules on this page.